Request

List requests

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
pageinteger · min: 1 · max: 9007199254740991Optional

Which page to fetch

Default: 1
pageSizeinteger · min: 1 · max: 30Optional

Page size to use

Default: 30
typeany ofOptional

Search by request type

or
string · enumOptional

Single type

Possible values:
stateany ofOptional

Search by request state

or
string · enumOptional

Single state

Possible values:
targetIdstringOptional

Search by target ID

createdBystringOptional

Search by request creator (user ID or 'me')

reviewedBystringOptional

Search by user who has already reviewed (user ID or 'me')

pendingBystringOptional

Search by user who has a pending review for the request (user ID or 'me')

sortBystring · enumOptional

Sort by attribute

Default: createdAtPossible values:
sortOrderstring · enumOptional

Sort order

Default: ascPossible values:
fromDatestringOptional

Search by createdAt >= this date (inclusive)

toDatestringOptional

Search by createdAt <= this date (inclusive)

supportstring · enumOptional

Filter requests by support

Possible values:
Responses
200

Successful response

application/json
pagenumberRequired

Current page

nextany ofRequired

Next page or null if there is none

numberOptional
or
nullOptional
prevany ofRequired

Previous page or null if there is none

numberOptional
or
nullOptional
pageSizenumberRequired

Max count of items per page

totalnumberRequired

Total count of items

resultsone of[]Required

Array of results

or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
get
/requests

Get a request by ID

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

Id of the request

Responses
200

Successful response

application/json

Vault request response data

or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
get
/requests/{id}

Get the challenge of the specified request for current user

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

Id of the request

Responses
200

Successful response

application/json
pubKeystringRequired

Public key of the current user

challengeone ofRequired

Challenge data to sign with the user's private key

or
or
get
/requests/{id}/challenge

Create a Sui transaction request

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

Transaction request data

accountIdstring · min: 1Required

Target account id

transactionone ofRequired
or
or
or
Responses
200

Successful response

application/json

Transaction request

typeconst: CREATE_TRANSACTIONRequired
idstringRequired

Request unique identifier

legacyIdnumberRequired

Legacy internal unique identifier (for retro-compatibility)

statestring · enumRequired

Request state

Possible values:
currentStepIndexinteger · max: 9007199254740991Required

Index of the current approval step

expiresAtstringRequired

Request expiration date

expiredAtstringOptional

Deprecated: use expiresAt

targetIdany ofRequired

Optional ID of the target object

stringOptional
or
nullOptional
noteany ofRequired

Optional request note

or
nullOptional
createdAtstringRequired

Creation timestamp

updatedAtstringRequired

Last modification timestamp

createdByIdstringRequired

ID of the user who created the request

post
/requests/transaction/sui

Create an Ethereum transaction request

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

Transaction request data

accountIdstring · min: 1Required

Target account id

transactionone ofRequired
or
or
Responses
200

Successful response

application/json

Transaction request

typeconst: CREATE_TRANSACTIONRequired
idstringRequired

Request unique identifier

legacyIdnumberRequired

Legacy internal unique identifier (for retro-compatibility)

statestring · enumRequired

Request state

Possible values:
currentStepIndexinteger · max: 9007199254740991Required

Index of the current approval step

expiresAtstringRequired

Request expiration date

expiredAtstringOptional

Deprecated: use expiresAt

targetIdany ofRequired

Optional ID of the target object

stringOptional
or
nullOptional
noteany ofRequired

Optional request note

or
nullOptional
createdAtstringRequired

Creation timestamp

updatedAtstringRequired

Last modification timestamp

createdByIdstringRequired

ID of the user who created the request

post
/requests/transaction/ethereum

Create a Hedera transaction request

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

Transaction request data

accountIdstring · min: 1Required

Target account id

transactionone ofRequired
or
or
Responses
200

Successful response

application/json

Transaction request

typeconst: CREATE_TRANSACTIONRequired
idstringRequired

Request unique identifier

legacyIdnumberRequired

Legacy internal unique identifier (for retro-compatibility)

statestring · enumRequired

Request state

Possible values:
currentStepIndexinteger · max: 9007199254740991Required

Index of the current approval step

expiresAtstringRequired

Request expiration date

expiredAtstringOptional

Deprecated: use expiresAt

targetIdany ofRequired

Optional ID of the target object

stringOptional
or
nullOptional
noteany ofRequired

Optional request note

or
nullOptional
createdAtstringRequired

Creation timestamp

updatedAtstringRequired

Last modification timestamp

createdByIdstringRequired

ID of the user who created the request

post
/requests/transaction/hedera

Create a Canton transaction request

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

Transaction request data

accountIdstring · min: 1Required

Target account id

transactionone ofRequired
or
or
or
or
Responses
200

Successful response

application/json

Transaction request

typeconst: CREATE_TRANSACTIONRequired
idstringRequired

Request unique identifier

legacyIdnumberRequired

Legacy internal unique identifier (for retro-compatibility)

statestring · enumRequired

Request state

Possible values:
currentStepIndexinteger · max: 9007199254740991Required

Index of the current approval step

expiresAtstringRequired

Request expiration date

expiredAtstringOptional

Deprecated: use expiresAt

targetIdany ofRequired

Optional ID of the target object

stringOptional
or
nullOptional
noteany ofRequired

Optional request note

or
nullOptional
createdAtstringRequired

Creation timestamp

updatedAtstringRequired

Last modification timestamp

createdByIdstringRequired

ID of the user who created the request

post
/requests/transaction/canton

Create an account

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

Create account request data (for API admin only)

namestring · min: 1 · max: 40Required

Account name

currencystring · min: 1 · max: 40Required

Will be deprecated soon, use network instead. Currency

Pattern: ^\w+$
indexnumberOptional

Account index

contractAddressany ofRequired

Token issuer

string · min: 1Optional
or
nullOptional
tokenIdentifierany ofRequired

Token identifier

string · min: 1Optional
or
nullOptional
policyIdstring · min: 1Required

Account policy

Responses
200

Successful response

application/json

Vault request response data

or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
post
/requests/create-account

Sign digests

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
accountIdstring · min: 1Required

Target account id

Responses
200

Successful response

application/json

Vault request response data

or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
post
/requests/sign-digests

Approve a request from the current user

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

ID of the request to approve

Body
dataone ofRequired
or
Responses
200

Successful response

application/json

Vault request response data

or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
post
/requests/{id}/approve

Reject a request from the current user

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

ID of the request to reject

Body
dataany ofRequired

Response to the challenge

or
nullOptional
Responses
200

Successful response

application/json

Vault request response data

or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
post
/requests/{id}/reject

Last updated